Blog

Login Register

Beta: PHP Selector for cPanel has arrived

I am trilled to anounce first beta version of PHP Selector. PHP Selector sits on top of CageFS, and allows end user to select PHP version as well as PHP modules that user wants to use. PHP Selector is compatible with CGI, suPHP & mod_fcgid. It is available via LVE Manager



To install: http://docs.cloudlinux.com/index.html?installation.html

Using PHP Selector: http://docs.cloudlinux.com/index.html?using_php_selector.html

As part of PHP Selector LVE Manager and CageFS were updated.

LVE Manager 0.5-25
  • Added PHP Selector functionality
CageFS 3.7-9

  • Added PHP Selector functionality
  • Added mount point /var/www/php-bin for ISP Manager
  • Added /dev/zero, /dev/stdin, /dev/stdout, /dev/stderr to cfg-files
  • BugFix: always copy permissions/owner to wrappers (bugfix)
  • BugFix: cagefsctl --remove-all: fixed error "Error: failed to unmount CageFS - skeleton directory is busy"
  • InterWorx: CageFS IPlugin should no longer be visible to resellers
  • ISPmanager: CageFS plugin fixed in users page
  • cPanel: exclude /home/user/.cagefs directory from backup
  • DirectAdmin: Web interface changes

0
Host Provider
10/03/2012 16:36:55
The image in the post is broken.
Link 0
0
Igor Seletskiy
10/04/2012 08:48:37
Thanks, fixed.
Parent Link 0
0
Host Provider
10/03/2012 16:42:02
Is this fully compatible with cpanel EasyApache setup?
Is any special cpanel setup required?
ie: In the "Main >> Service Configuration >> Configure PHP and SuExec" screen of WHM?
Link 0
0
Igor Seletskiy
10/04/2012 08:49:39
Yes -- should be fully compatible.
It does require suPHP, CGI+suexec or mod_fcgid -- but this is basic requirements for CageFS as well.
Parent Link 0
0
Tasneem Jacobs
11/07/2012 14:36:07
Loving this
Link 0